## com.bbn.openmap.layer.mysql
Class MysqlLine

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry
          com.bbn.openmap.layer.mysql.MysqlLine

public class MysqlLine
extends MysqlGeometry

This class represents the encapsulation of a MySQL GeometryLineString. Coordinate values are stored as values of double precision in arrays as a sequence of Latitude/Longitude pairs. This differs from tha database where values are stored as X/Y or Easting/Northing pairs. Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`GEOMETRYCOLLECTIONTYPE, LINESTRINGTYPE, MULTILINESTRINGTYPE, MULTIPOINTTYPE, MULTIPOLYGONTYPE, POINTTYPE, POLYGONTTYPE`

Constructor Summary
`MysqlLine()`

Method Summary
`double[]` `getCoordinateArray()` Returns the coordinateArray.
`void` `setCoordinateArray(double[] coordinateArray)` Sets the coordinateArray.

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlLine

    public MysqlLine()

Method Detail

### getCoordinateArray

    public double[] getCoordinateArray()

  Returns the coordinateArray.

  Returns:
    double[]

### setCoordinateArray

    public void setCoordinateArray(double[] coordinateArray)

  Sets the coordinateArray.

  Parameters:
    `coordinateArray` - The coordinateArray to set

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details